%define oname shorewall-shell

Name: shorewall-compiler-shell
Version: 4.2.0
Release: alt1
Summary: Shoreline Firewall is an iptables-based firewall for Linux systems.
License: GPL
Group: Security/Networking
Url: http://www.shorewall.net/
Source0: %oname-%version.tar.bz2

Packager: Alexey Shabalin <shaba@altlinux.ru>

BuildArch: noarch
Requires: shorewall-common >= %version
Provides: shorewall-compiler = %version-%release


%description
The Shoreline Firewall, more commonly known as "Shorewall", is a Netfilter
(iptables) based firewall that can be used on a dedicated firewall system,
a multi-function gateway/ router/server or on a standalone GNU/Linux system.

Shorewall-shell is a part of Shorewall that alows running shorewall with
legacy configurations. Shorewall-perl is the preferred compiler, please use
it for new installations.

%prep
%setup -q -n %oname-%version

%install
PREFIX=%buildroot DEST=%_initdir %_buildshell install.sh -n

%files
%doc COPYING INSTALL
%attr(0755,root,root) %dir %_datadir/%oname
%attr(0755,root,root) %_datadir/%oname/compiler
%attr(0600,root,root) %_datadir/%oname/[l-z]*

%changelog
* Fri Oct 17 2008 Alexey Shabalin <shaba@altlinux.ru> 4.2.0-alt1
- 4.2.0 (new STABLE release series)

* Wed Jun 18 2008 Alexey Shabalin <shaba@altlinux.ru> 3.4.8-alt1
- 3.4.8

* Thu Nov 08 2007 Alexey Shabalin <shaba@altlinux.ru> 3.4.7-alt2
- apply patch patch-3.4.7-1.diff from errata

* Wed Oct 10 2007 Alexey Shabalin <shaba@altlinux.ru> 3.4.7-alt1
- 3.4.7

* Thu Sep 20 2007 Alexey Shabalin <shaba@altlinux.ru> 3.4.6-alt1
- 3.4.6

* Fri Jul 20 2007 Alexey Shabalin <shaba@altlinux.ru> 3.4.5-alt1
- 3.4.5

* Sun Jul 15 2007 Alexey Shabalin <shaba@altlinux.ru> 3.4.4-alt6
- 3.4.4-6

* Fri Jun 22 2007 Alexey Shabalin <shaba@altlinux.ru> 3.4.4-alt1
- 3.4.4-1
- fix control

* Sat Jun 02 2007 Alexey Shabalin <shaba@altlinux.ru> 3.4.3-alt1
- 3.4.3
- add %%patch1 - fix work tcrules with multiport

* Mon Apr 02 2007 Alexey Shabalin <shaba@altlinux.ru> 3.4.2-alt1
- 3.4.2
- remove patches
- add manpages

* Thu Mar 01 2007 Alexey Shabalin <shaba@altlinux.ru> 3.2.9-alt1
- Initial build for Sisyphus
